Subject: Re: bug#33019: 26.1; can not set fontset as frame font by set-frame-font

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Oct 2018 09:46:38 +0300

> From: [email-masked]
> Date: Fri, 12 Oct 2018 00:04:46 +0900
> 
> I installed google noto fonts, and tried to use "Noto Mono"
> with "Noto Sans CJK JP Regular".
> Evaluating the form below, characters are displayed with "Noto Mono"
> and default fall back display.
> 
> (let ((name  "-*-*-*-*-*-*-*-*-*-*-*-*-fontset-test"))
>   (new-fontset name '(((0 . #xffff) . "Noto Mono")))
>   (set-fontset-font name '(#x80 . #xffff)
>                     "Noto Sans CJK JP Regular" nil 'append)
>   (set-frame-font name))
> 
> After evaluation, the result buffers of some commands are shown as below.

I'm sorry, I must be dense today: I have read the report several
times, and I don't think I understand what exactly is the behavior you
think is incorrect.  Could you please spell out what seems to be
wrong, and why do you think it is wrong?

Also, what exactly is the real-life use case behind this?  Why did you
need to create a new fontset?

Thanks.